/*
 * Copyright 2004-2009 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.cubby.plugins.s2;

import org.seasar.cubby.plugin.AbstractPlugin;
import org.seasar.cubby.spi.JsonProvider;
import org.seasar.cubby.spi.Provider;
import org.seasar.framework.util.JSONSerializer;

/**
 * {@link JSONSerializer} にって {@link JsonProvider} を提供するプラグインのサンプルです。
 * 
 * @author baba
 */
@SuppressWarnings("deprecation")
public class S2JSONSerializerPlugin extends AbstractPlugin {

	private JsonProvider jsonProvider = new JsonProvider() {

		public String toJson(Object o) {
			return JSONSerializer.serialize(o);
		}

	};

	public <S extends Provider> S getProvider(Class<S> service) {
		if (JsonProvider.class.equals(service)) {
			return service.cast(jsonProvider);
		}
		return null;
	}

}
