/*
 * Copyright 2004-2009 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.cubby.tags;

import java.util.Map;

import org.seasar.cubby.internal.controller.FormWrapper;

public class MockFormTag extends FormTag {

	private static final long serialVersionUID = 1L;

	private final Map<String, String[]> outputValues;

	public MockFormTag(final Map<String, String[]> outputValues) {
		super();
		this.outputValues = outputValues;
	}

	public FormWrapper getFormWrapper() {
		return new FormWrapperImpl(outputValues);
	}

	static class FormWrapperImpl implements FormWrapper {

		private final Map<String, String[]> outputValues;

		public FormWrapperImpl(Map<String, String[]> outputValues) {
			this.outputValues = outputValues;
		}

		public boolean hasValues(String name) {
			return outputValues.containsKey(name);
		}

		public String[] getValues(String name) {
			return outputValues.get(name);
		}

	}

}
