/*
 * Copyright 2004-2009 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.cubby.validator.validators;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.seasar.cubby.validator.ScalarFieldValidator;
import org.seasar.cubby.validator.ValidationContext;

class ScalarFieldValidatorAssert {

	public static void assertSuccess(ScalarFieldValidator validator,
			Object... values) {
		for (Object value : values) {
			ValidationContext context = new ValidationContext();
			validator.validate(context, value);
			assertTrue("validate " + value
					+ " extected success, but validation failed", context
					.getMessageInfos().isEmpty());
		}
	}

	public static void assertFail(ScalarFieldValidator validator,
			Object... values) {
		for (Object value : values) {
			ValidationContext context = new ValidationContext();
			validator.validate(context, value);
			assertFalse("validate " + value
					+ " extected fail, but validation succeed", context
					.getMessageInfos().isEmpty());
		}
	}

}
